org.apache.ignite.internal.processors.continuous

## Interface GridContinuousBatch

All Known Implementing Classes:
  GridContinuousBatchAdapter, GridContinuousQueryBatch

    public interface GridContinuousBatch

Continuous routine batch.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `add(Object obj)` Adds element to this batch.
`Collection<Object>` `collect()` Collects elements that are currently in this batch.
`int` `size()`

### Method Detail

#### add

    void add(Object obj)

Adds element to this batch.

Parameters:
  `obj` - Element to add.

#### collect

    Collection<Object> collect()

Collects elements that are currently in this batch.

Returns:
  Elements in this batch.

#### size

    int size()

Returns:
  Current batch size.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021